#ifndef _APP_HOST_BUS_IDLE_DETECTION_H_
#define _APP_HOST_BUS_IDLE_DETECTION_H_

#include "uart_dev.h"

#include "FreeRTOS.h"
#include "event_groups.h"
#include "semphr.h"

extern SemaphoreHandle_t J0_IDLESemaphore;
extern SemaphoreHandle_t J2_IDLESemaphore;
extern SemaphoreHandle_t J4_IDLESemaphore;
extern SemaphoreHandle_t J6_IDLESemaphore;

void hostIdleInit(void);

void J0_485_IN_IDLE(void);
void J2_485_IN_IDLE(void);
void J4_485_IN_IDLE(void);
void J6_485_IN_IDLE(void);

void J0_485_IN_RXNE(void);
void J2_485_IN_RXNE(void);
void J4_485_IN_RXNE(void);
void J6_485_IN_RXNE(void);

#endif
