#ifndef APP_HOST_PARAMETER_H_
#define APP_HOST_PARAMETER_H_

#include "stdio.h"

//ͨøʽflash
typedef struct _configInfo {
    uint32_t J1_485_Baud;       //J1_485ͨŲ
    uint32_t J3_485_Baud;       //J3_485ͨŲ
    uint32_t J5_485_Baud;       //J5_485ͨŲ
    uint32_t J7_485_Baud;       //J7_485ͨŲ
    uint32_t J8_485_Baud;       //J8_485ͨŲ
    uint32_t J9_485_Baud;       //J9_485ͨŲ

    uint16_t crc;               //crcУ
} hostConfigInfo;

void readHostConfigParameter(void);
// void writeConfigParameter(configInfo inConfigInfo);

float getPwrOnVoltage(void);
void setPwrOnVoltage(float Voltage);
float getWorkCurrent(void);
void setWorkCurrent(float Curr);
float getWorkVoltage(void);
void setWorkVoltage(float Voltage);
float getBoardTemperature(void);
void setBoardTemperature(float Temperature);
uint32_t getJ0_485_Baud(void);
void setJ0_485_Baud(uint32_t Baud);
uint32_t getJ2_485_Baud(void);
void setJ2_485_Baud(uint32_t Baud);
uint32_t getJ4_485_Baud(void);
void setJ4_485_Baud(uint32_t Baud);
uint32_t getJ6_485_Baud(void);
void setJ6_485_Baud(uint32_t Baud);
uint32_t getLora_Uart_Baud(void);
void setLora_Uart_Baud(uint32_t Baud);

#endif
