#include "slaveParameter.h"

typedef struct _parameterInfo {
    float pwrOnVoltage;         //׿ģ鹤ѹ
    float WorkCurrent;          //
    float WorkVoltage;          //ѹ
    float Temperature;          //¶

    uint32_t J0_485_Baud;       //J0_485ͨŲ
    uint32_t J2_485_Baud;       //J2_485ͨŲ
    uint32_t J4_485_Baud;       //J4_485ͨŲ
    uint32_t J6_485_Baud;       //J6_485ͨŲ
    uint32_t Lora_Uart_Baud;    //loraͨŲ
}hostParameterInfo;

static hostParameterInfo hostParameter = {0};

#define configSize  (sizeof(configInfo))

/**
  * @brief  ȡļ
  * @param  
  * @retval 
  */
void readHostConfigParameter(void)
{
    /* ʹĬϲ */
    hostParameter.J0_485_Baud = 9600;
    hostParameter.J2_485_Baud = 9600;
    hostParameter.J4_485_Baud = 9600;
    hostParameter.J6_485_Baud = 9600;
    hostParameter.Lora_Uart_Baud = 9600;
}

/**
  * @brief  õpwrOnѹ
  * @param  
  * @retval 
  */
float getPwrOnVoltage(void)
{
    return hostParameter.pwrOnVoltage;
}

/**
  * @brief  ù
  * @param  
  * @retval 
  */
void setPwrOnVoltage(float Voltage)
{
    hostParameter.pwrOnVoltage = Voltage;
}

/**
  * @brief  õ
  * @param  
  * @retval 
  */
float getWorkCurrent(void)
{
    return hostParameter.WorkCurrent;
}

/**
  * @brief  ù
  * @param  
  * @retval 
  */
void setWorkCurrent(float Curr)
{
    hostParameter.WorkCurrent = Curr;
}

/**
  * @brief  õѹ
  * @param  
  * @retval 
  */
float getWorkVoltage(void)
{
    return hostParameter.WorkVoltage;
}

/**
  * @brief  ùѹ
  * @param  
  * @retval 
  */
void setWorkVoltage(float Voltage)
{
    hostParameter.WorkVoltage = Voltage;
}

/**
  * @brief  õ¶
  * @param  
  * @retval 
  */
float getBoardTemperature(void)
{
    return hostParameter.Temperature;
}

/**
  * @brief  ¶
  * @param  
  * @retval 
  */
void setBoardTemperature(float Temperature)
{
    hostParameter.Temperature = Temperature;
}

/**
  * @brief  õJ0ͨŲ
  * @param  
  * @retval 
  */
uint32_t getJ0_485_Baud(void)
{
    return hostParameter.J0_485_Baud;
}

/**
  * @brief  J0ͨŲ
  * @param  
  * @retval 
  */
void setJ0_485_Baud(uint32_t Baud)
{
    hostParameter.J0_485_Baud = Baud;
}

/**
  * @brief  õJ2ͨŲ
  * @param  
  * @retval 
  */
uint32_t getJ2_485_Baud(void)
{
    return hostParameter.J2_485_Baud;
}

/**
  * @brief  J2ͨŲ
  * @param  
  * @retval 
  */
void setJ2_485_Baud(uint32_t Baud)
{
    hostParameter.J2_485_Baud = Baud;
}

/**
  * @brief  õJ4ͨŲ
  * @param  
  * @retval 
  */
uint32_t getJ4_485_Baud(void)
{
    return hostParameter.J4_485_Baud;
}

/**
  * @brief  J4ͨŲ
  * @param  
  * @retval 
  */
void setJ4_485_Baud(uint32_t Baud)
{
    hostParameter.J4_485_Baud = Baud;
}

/**
  * @brief  õJ6ͨŲ
  * @param  
  * @retval 
  */
uint32_t getJ6_485_Baud(void)
{
    return hostParameter.J6_485_Baud;
}

/**
  * @brief  J4ͨŲ
  * @param  
  * @retval 
  */
void setJ6_485_Baud(uint32_t Baud)
{
    hostParameter.J6_485_Baud = Baud;
}

/**
  * @brief  õLoraͨŲ
  * @param  
  * @retval 
  */
uint32_t getLora_Uart_Baud(void)
{
    return hostParameter.Lora_Uart_Baud;
}

/**
  * @brief  LoraͨŲ
  * @param  
  * @retval 
  */
void setLora_Uart_Baud(uint32_t Baud)
{
    hostParameter.Lora_Uart_Baud = Baud;
}


