
#ifndef _APP_SLAVE_BUS_IDLE_DETECTION_H_
#define _APP_SLAVE_BUS_IDLE_DETECTION_H_

#include "uart_dev.h"

#include "FreeRTOS.h"
#include "event_groups.h"
#include "semphr.h"

extern SemaphoreHandle_t J1_IDLESemaphore;
extern SemaphoreHandle_t J3_IDLESemaphore;
extern SemaphoreHandle_t J5_IDLESemaphore;
extern SemaphoreHandle_t J7_IDLESemaphore;
extern SemaphoreHandle_t J8_IDLESemaphore;
extern SemaphoreHandle_t J9_IDLESemaphore;

void slaveIdleInit(void);

void J1_485_IN_IDLE(void);
void J3_485_IN_IDLE(void);
void J5_485_IN_IDLE(void);
void J7_485_IN_IDLE(void);
void J8_485_IN_IDLE(void);
void J9_485_IN_IDLE(void);

void J1_485_IN_RXNE(void);
void J3_485_IN_RXNE(void);
void J5_485_IN_RXNE(void);
void J7_485_IN_RXNE(void);
void J8_485_IN_RXNE(void);
void J9_485_IN_RXNE(void);

#endif
