
#include "stdio.h"

#include "slaveFreerotsTask.h"

// #include "HD_Flash.h"
#include "FM_GPIO.h"
#include "uart_dev.h"
#include "FM_ADC.h"

#include "parameter.h"




/**
  * @brief  
  * @param
  * @retval
  */
void slaveStartApp(void)
{
    SlaveMcu_GPIO_Init();
    readConfigParameter();
    SlaveMcu_uartBuf_Init(256, 1024);
    Init_J1_485(getJ1_485_Baud());
    Init_J3_485(getJ1_485_Baud());
    Init_J5_485(getJ1_485_Baud());
    Init_J7_485(getJ1_485_Baud());
    Init_J8_485(getJ1_485_Baud());
    Init_J9_485(getJ1_485_Baud());
    Init_Mcu_Uart(115200);
    proportionalInt();
    FM_ADC_Init();

    while (1) {

    };
    vTaskStartScheduler();
}




