#ifndef FM_GPIO_H_
#define FM_GPIO_H_

#include "HD_GPIO.h"
#include "stdio.h"

typedef enum _pwrCtrl{
    J1_PwrCtrl = 1,
    J2_PwrCtrl,
    J3_PwrCtrl,
    J4_PwrCtrl,
    J5_PwrCtrl,
    J6_PwrCtrl,
    J7_PwrCtrl,
    J8_PwrCtrl,
    J9_PwrCtrl,
    Android_PwrCtrl,
}pwrCtrl;

typedef enum _pwrCtrlState{
    PwrCtrlClose = 0,
    PwrCtrlOpen
}pwrCtrlState;

#define readJ0_485 HD_GPIO_Write(J0De_GPIO_PROT, J0De_GPIO_PIN, read);
#define readJ1_485 HD_GPIO_Write(J1De_GPIO_PROT, J1De_GPIO_PIN, read);
#define readJ2_485 HD_GPIO_Write(J2De_GPIO_PROT, J2De_GPIO_PIN, read);
#define readJ3_485 HD_GPIO_Write(J3De_GPIO_PROT, J3De_GPIO_PIN, read);
#define readJ4_485 HD_GPIO_Write(J4De_GPIO_PROT, J4De_GPIO_PIN, read);
#define readJ5_485 HD_GPIO_Write(J5De_GPIO_PROT, J5De_GPIO_PIN, read);
#define readJ6_485 HD_GPIO_Write(J6De_GPIO_PROT, J6De_GPIO_PIN, read);
#define readJ7_485 HD_GPIO_Write(J7De_GPIO_PROT, J7De_GPIO_PIN, read);
#define readJ8_485 HD_GPIO_Write(J8De_GPIO_PROT, J8De_GPIO_PIN, read);
#define readJ9_485 HD_GPIO_Write(J9De_GPIO_PROT, J9De_GPIO_PIN, read);

#define writeJ0_485 HD_GPIO_Write(J0De_GPIO_PROT, J0De_GPIO_PIN, write);
#define writeJ1_485 HD_GPIO_Write(J1De_GPIO_PROT, J1De_GPIO_PIN, write);
#define writeJ2_485 HD_GPIO_Write(J2De_GPIO_PROT, J2De_GPIO_PIN, write);
#define writeJ3_485 HD_GPIO_Write(J3De_GPIO_PROT, J3De_GPIO_PIN, write);
#define writeJ4_485 HD_GPIO_Write(J4De_GPIO_PROT, J4De_GPIO_PIN, write);
#define writeJ5_485 HD_GPIO_Write(J5De_GPIO_PROT, J5De_GPIO_PIN, write);
#define writeJ6_485 HD_GPIO_Write(J6De_GPIO_PROT, J6De_GPIO_PIN, write);
#define writeJ7_485 HD_GPIO_Write(J7De_GPIO_PROT, J7De_GPIO_PIN, write);
#define writeJ8_485 HD_GPIO_Write(J8De_GPIO_PROT, J8De_GPIO_PIN, write);
#define writeJ9_485 HD_GPIO_Write(J9De_GPIO_PROT, J9De_GPIO_PIN, write);







void HostMcu_GPIO_Init(void);
void HostMcu_485DE_Read(void);
void SlaveMcu_GPIO_Init(void);
void SlaveMcu_485DE_Read(void);

void feedDog(void);
void writePwrCtrlState(uint8_t type, uint8_t State);
uint8_t readPwrCtrlState(uint8_t type);
void startResetAndroidModule(void);
void stopResetAndroidModule(void);
void ledToggle(void);

void FM_MCU_Init(void);
uint8_t getMCU(void);


#endif
