/*
 * Flash.c
 *
 *  Created on: 2024516
 *      Author: 34509
 */
#include "HD_Flash.h"
#include "pDebug.h"


uint8_t readFlash(uint32_t* pBuffer,uint32_t ReadAddr,uint16_t dataLen)
{
    for (int i = 0; i < dataLen; i++) {
        *(pBuffer + i) = *(uint32_t*)(ReadAddr + 4 * i);
    }

    return 1;
}


/*
 * @brief   дflashĳҳWriteAddrΪĳҳĿͷ
 * @param   pBuffer         Ҫд
            WriteAddr       Ҫдĵַ
            NumByteToWrite  Ҫдĳ
 * @retval
 *
 */
uint8_t writeFlash(uint32_t* pBuffer,uint32_t WriteAddr, uint16_t NumByteToWrite)
{

    /* ĳҳ */
    int ret = FLASH_ROM_ERASE(WriteAddr, 256);
    if (ret != FLASH_COMPLETE) {
        return 0;
    }

    uint32_t buf[64] = {0};
    memcpy(buf, pBuffer, (NumByteToWrite / 4));

    ret = FLASH_ROM_WRITE(WriteAddr, buf, 256);
    if (ret != FLASH_COMPLETE) {
        return 0;
    }


    // FLASH_Unlock();
    // for (int i = 0; i < NumByteToWrite; i++) {
    //     ret = FLASH_ProgramOptionByteData((uint32_t)((uint8_t *)WriteAddr + 1), *(pBuffer + i));
    //     if (ret != FLASH_COMPLETE) {
    //         FLASH_Lock();
    //         return 0;
    //     }
    // }
    // FLASH_Lock();

    return 1;
}


